Update a group-class session.
curl --request PUT \
--url https://dash.dmly.io/api/v1/classes/{session} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"starts_at": "2026-07-15T18:30:00Z",
"capacity": 15,
"location": "Studio 1",
"waitlist_enabled": false,
"status": "scheduled"
}
'import requests
url = "https://dash.dmly.io/api/v1/classes/{session}"
payload = {
"starts_at": "2026-07-15T18:30:00Z",
"capacity": 15,
"location": "Studio 1",
"waitlist_enabled": False,
"status": "scheduled"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
starts_at: '2026-07-15T18:30:00Z',
capacity: 15,
location: 'Studio 1',
waitlist_enabled: false,
status: 'scheduled'
})
};
fetch('https://dash.dmly.io/api/v1/classes/{session}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}{
"message": "<string>"
}Updates a group-class session by its uuid. All fields are optional; only supplied fields change. Accepts staff_id (uuid or null), starts_at, ends_at, capacity, location, waitlist_enabled, timezone and status (scheduled/cancelled/completed). PATCH is also accepted.
PUT
/
classes
/
{session}
Update a group-class session.
Authorizations
apiKeyAuthbearerAuth
Your workspace API key. It both authenticates the caller and selects the workspace.
Path Parameters
Session id.
Body
application/json
Response
Success.
Was this page helpful?
⌘I

